Name: acct
Version: 6.3.5
Release: alt3

Summary: Utilities for monitoring process activities.
License: GPL
Group: Monitoring

Source: ftp://ftp.red-bean.com/pub/noel/acct-%version.tar.bz2
Source1: %name.init
Source2: %name.log
Source3: dump-acct.8
Source4: dump-utmp.8

Patch0: %name-6.3.5-owl-fixes.patch
Patch1: %name-6.3.2-alt-texinfo.patch
Patch2: %name-6.3.2-alt-progname.patch
Patch3: %name-6.3.5-without-included-getopt.patch

Obsoletes: psacct
Provides: psacct = %version
PreReq: %__install_info, chkconfig, coreutils, grep

BuildPreReq: rpm-build >= 4.0.4-alt10, autoconf = 2.13, automake = 1.4

%description
The %name package contains several utilities for monitoring process
activities, including ac, lastcomm, accton and sa.  The ac command
displays statistics about how long users have been logged on.  The
lastcomm command displays information about previous executed commands.
The accton command turns process accounting on or off.  The sa command
summarizes information about previously executed commmands.

Install the %name package if you'd like to use its utilities for
monitoring process activities on your system.

%prep
%setup -q -n acct-%version
%__rm -f accounting.info getopt.h
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%__install -p -m644 /usr/share/automake-1.4/texinfo.tex .

%build
%set_autoconf_version 2.13
%set_automake_version 1.4
libtoolize --copy --force
aclocal
automake
autoconf
%configure
%__subst "s|/\* #undef HAVE_LINUX_ACCT_H \*/|#define HAVE_LINUX_ACCT_H|" config.h
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT{/sbin,%prefix,/var/account}
%makeinstall

%__install -p -m644 %SOURCE3 %SOURCE4 $RPM_BUILD_ROOT%_man8dir/

# These come from SysVinit.
%__mv $RPM_BUILD_ROOT%_bindir/last $RPM_BUILD_ROOT%_bindir/last-%name
%__mv $RPM_BUILD_ROOT%_man1dir/last.1 $RPM_BUILD_ROOT%_man1dir/last-%name.1

# Move accton to /sbin, leaving historical symlink
%__mv $RPM_BUILD_ROOT%_sbindir/accton $RPM_BUILD_ROOT/sbin/accton
%__ln_s ../../sbin/accton $RPM_BUILD_ROOT%_sbindir/accton
%__ln_s accton $RPM_BUILD_ROOT/sbin/acctoff

touch $RPM_BUILD_ROOT/var/account/{p,usr,sav}acct
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/%name
%__install -pD -m640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/%name

%post
f=/etc/info-dir
if %__grep -Fqs '* accounting: (psacct)' "$f"; then
	# We need this hack to get rid of an old, incorrect accounting
	# info entry when installing over older versions of Red Hat Linux.
	%__cp -p "$f" "$f".new &&
	%__grep -v '* accounting: (psacct)' < "$f" > "$f".new &&
	%__mv -f "$f".new "$f"
fi
%install_info accounting.info

umask 177
for f in /var/account/{p,usr,sav}acct; do
	test -e "$f" && continue ||:
        touch "$f" &&
		chown 0:0 "$f" &&
		chmod 600 "$f"
done
%post_service %name

%preun
%uninstall_info accounting.info
%preun_service %name

%files
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/logrotate.d/%name
/sbin/*
%_bindir/*
%_sbindir/*
%_infodir/*.info*
%_mandir/man?/*
%attr(700,root,root) %dir /var/account
%attr(600,root,root) %ghost /var/account/*
%doc AUTHORS README NEWS ChangeLog ToDo

%changelog
* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 6.3.5-alt3
- Explicitly use autoconf-2.13 and automake-1.4 for build.

* Mon Mar 25 2002 Dmitry V. Levin <ldv@alt-linux.org> 6.3.5-alt2
- Heavy documentation corrections and cleanups (Owl).
- Build without included getopt code.

* Mon Jan 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 6.3.5-alt1
- 6.3.5
- Renamed back to acct.
- Moved logfiles to /var/account (FHS-2.2).
- Added dump-acct and dump-utmp manpages from Debian.
- Fixed logrotate script (ideas from Owl).

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 6.3.2-ipl3mdk
- Fixed typo in %%postinstall section.

* Thu Feb 01 2001 Dmitry V. Levin <ldv@fandra.org> 6.3.2-ipl2mdk
- Updated startup and logrotate scripts.

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 6.3.2-ipl1mdk
- FHSification.
- Fix texinfo documentation.
- Added progname patch.

* Mon Mar 27 2000 Dmitry V. Levin <ldv@fandra.org>
- 6.3.2

* Sat Jan  1 2000 Dmitry V. Levin <ldv@fandra.org>
- fix startup script

* Wed Sep 28 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- wrap post script with reference count.

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- install-info sucks.  Still.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- #define HAVE_LINUX_ACCT_H too, so it works. :)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- accton needs to be accessible to /etc/rc.d/init.d/halt

* Fri May 08 1998 Erik Troan <ewt@redhat.com>
- install-info sucks

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 6.2 to 6.3

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
